Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.rsa.ace.techservice.udpserver.AceException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AcePacketException

    public class AceException

extends java.lang.Exception

This is a generic ACE/Server Exception.

This is a generic exception wrapper for the ACE/Server. It has a couple of constructors. One simple constructor that takes a message. Another constructor that takes a message and a nested exception.

See Also:
  Serialized Form

Constructor Summary
`AceException(java.lang.String message)` Construct a packet exception with a message.
`AceException(java.lang.String message, java.lang.Exception originalException)` Construct a packet exception with a message and nested exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AceException

    public AceException(java.lang.String message)

  Construct a packet exception with a message.

  Parameters:
    `message` - The message string for the exception.

### AceException

    public AceException(java.lang.String message,
                        java.lang.Exception originalException)

  Construct a packet exception with a message and nested exception.

  Parameters:
    `message` - The message string for the exception.
    `originalException` - The nested exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.